Skip to main content
POST
/
partners
/
{uuid}
/
resellers
Assign a reseller to a distributor
curl --request POST \
  --url https://api.journeybee.io/v1/partners/{uuid}/resellers \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "reseller_uuid": "<string>"
}
'
{
  "uuid": "<string>",
  "reseller": {
    "uuid": "<string>",
    "name": "<string>",
    "domains": [
      {
        "uuid": "<string>",
        "domain": "<string>",
        "is_primary": true
      }
    ]
  },
  "created_at": "<string>"
}

Authorizations

Authorization
string
header
required

API key authentication. Use "Bearer <api_key>" or "Api-Key <api_key>".

Path Parameters

uuid
string<uuid>
required
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$

Body

application/json
reseller_uuid
string
required

Response

201 - application/json

Default Response

uuid
string
required
reseller
object
required
created_at
string
required